package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 用户案件对应
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-16
 */
@Data
@ApiModel(value = "用户案件对应")
public class UserCaseDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "用户ID")
	private Long userId;

	@ApiModelProperty(value = "案件ID")
	private Long caseId;

	@ApiModelProperty(value = "身份")
	private String identity;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	public UserCaseDTO assembleUserCase(Long userId, Long caseId){

		UserCaseDTO userCaseDTO = new UserCaseDTO();
		userCaseDTO.setUserId(userId);
		userCaseDTO.setCaseId(caseId);
//		userCaseDTO.setIdentity(identity);
		userCaseDTO.setCreateDate(new Date());
		return userCaseDTO;
	}
}
